.toaster {
    &__container {
        z-index: 40;
        width: 100vw;
        height: 100vh;
        pointer-events: none;
        position: fixed;
        top: 0;
        right: 0;
    }

    &__toasts {
        position: absolute;
        right: 40px;
        top: 40px;
        flex-direction: column;
        align-items: flex-end;
        display: flex;
    }
    
    &__toast {
        width: fit-content;
        pointer-events: visible;
        position: relative;
        margin-bottom: 15px;
        padding: 12px 24px;
        background-color: var(--cloud);
        display: flex;
        flex-direction: column;
        box-sizing: border-box;
        border-radius: 3px;
        font-weight: 600;
        font-size: 26px;
        user-select: none;
        box-shadow: var(--shadow-large);
        cursor: pointer;
        
        &--error {
            // border: 1px solid #cc0066;
        }

        &--success {
            // Possible success style
        }

        &--popin {
            right: 0%;
            transition: transform .6s ease-in;
            animation: toast-in .7s;
        }
    }

    &__title {
        text-transform: capitalize;
        font-size: 26px;
        color: var(--teal-darker);
        display: flex;
        align-items: flex-end;
    }

    &__status {
        display: block;
        color: var(--teal);
        font-size: 22px;
        margin-bottom: 2px;
        margin-left: 8px;
    }

    &__message {
        font-size: 16px;
        color: var(--text-onyx);
    }

    @keyframes toast-in {
        from {
            right: -150%;
        }
        to {
            right: 0%;
        }
    }
}